Fallo Android Studio

Soy nuevo en Android y estoy usando el Android Studio. ¡He creado un nuevo proyecto para mostrar Hello World! Pero no puedo conseguir que funcione en el AVD debido a este error: Fallo [INSTALL_FAILED_OLDER_SDK].

Ya busqué la respuesta y sé que es algo acerca de la build.gradle y la minSdkVersion, pero cualquiera de las respuestas funcionó para mí.

Este es mi AndroidManifest.xml:

<?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.example.scoelli.test" > <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > <activity android:name=".MyActivity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> </application> </manifest> 

Y este es mi build.gradle:

 apply plugin: 'com.android.application' android { compileSdkVersion 'android-L' buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.scoelli.test" minSdkVersion 8 targetSdkVersion 'L' versionCode 1 versionName "1.0" } buildTypes { release { runProguard false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) } 

Apreciaría no sólo la respuesta sino la explicación.

¡Gracias!

4 Solutions collect form web for “Fallo Android Studio”

A menos que sepa que desea utilizar la vista previa del desarrollador de Android L con su aplicación, no apunte y compile con ella. Todavía es una versión preliminar, y parece que las aplicaciones de orientación y compilación para la vista previa causan este error con cualquier dispositivo que no sea L.

Actualice estas líneas en su build.gradle para que se adhieran a la última versión estable (Android 4.4, API 19):

 android { compileSdkVersion 19 defaultConfig { targetSdkVersion 19 } } 

He solucionado este problema. Acabo de modificar el compileSdkVersion de android_L a 19 para orientar mi nexo 4.4.4.

 buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 targetSdkVersion 'L' versionCode 1 versionName "1.0" } buildTypes { release { runProguard false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } 

Cómo modificar el valor por ide. Seleccione archivo-> Estructura del proyecto -> Facetas -> android-gradle y luego modificó la versión Sdk de compilación de android_L a 19

Lo siento, no tengo suficiente reputación para agregar fotos

Creo que los proyectos

  compileSdkVersion 'android-L' 

No se puede instalar en otras versiones de Android ahora mismo. Puedo estar equivocado pero si no estás haciendo nada específico para el SDK de vista previa, solo configura la versión de compilación a uno de los oficiales. Lo mismo ocurre con el targetSdk.

Puede elegir los del asistente Crear proyecto.

Si obtienes este error al compilar la aplicación para móviles de Adobe AIR, solo debes corregir "minSdkVersion" esta línea en el archivo xml del descriptor de la aplicación:

 <uses-sdk android:minSdkVersion="13" android:targetSdkVersion="15"></uses-sdk> 
  • Cómo configurar el fondo de un TextView dinámicamente desde un archivo Xml
  • ImeOption = "actionNext" no funciona en TextInputLayout.
  • Error Unparsed Aapt
  • Cambiar el radio de la esquina de programación programable
  • Android Scrollview Desplazamiento automático hacia arriba
  • Cómo ajustar el tamaño de los botones según el tamaño de la pantalla en Android Studio
  • Coloque los botones en la parte inferior de la pantalla con LinearLayout?
  • Jsoup no puede leer el archivo de retorno xml
  • Cardview Set Color de fondo
  • Android: InflateException: Línea de archivo XML binario: Error al inflar la clase <unknown>
  • Include tag en el archivo xml de la programación de Android
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.